Forum: ARM programming with GCC/GNU tools Error building Newlib / YAGARTO - ARMv6-thumb crt0.S

Author: Matt (Guest)
Posted on:
Attached files:

Rate this post
0 useful
not useful
I was hoping to build newlib from source, and thought I would start by 
building all of YAGARTO.  I'm trying to build the latest and greatest 
released version (20101223), which includes newlib 1.19.0.

I get through build scripts 00-06 without error.  When I run the newlib 
build, I get an error complaining about use of unsupported ARM 
instructions with a Thumb-only processor when trying to build crt0.S for 
the ARMv6 variant. Error log attached.

I'm using the packages as provided on the YAGARTO site.  I am building 
with the current version of MingW, which reports that I have gcc 4.5.0.

Anyone run into this?  Any idea of root cause?



Entering an e-mail address is optional. If you want to receive reply notifications by e-mail, please log in.

Rules — please read before posting

  • Post long source code as attachment, not in the text
  • Posting advertisements is forbidden.

Formatting options

  • [c]C code[/c]
  • [avrasm]AVR assembler code[/avrasm]
  • [code]code in other languages, ASCII drawings[/code]
  • [math]formula (LaTeX syntax)[/math]

Bild automatisch verkleinern, falls nötig
Note: the original post is older than 6 months. Please don't ask any new questions in this thread, but start a new one.